Bug 1141310 (CVE-2014-6387) - CVE-2014-6387 mantis: null byte poisoning in LDAP authentication
Summary: CVE-2014-6387 mantis: null byte poisoning in LDAP authentication
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-6387
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1141313 1141314
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-12 16:46 UTC by Vincent Danen
Modified: 2019-09-29 13:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:34:55 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-09-12 16:46:45 UTC
As reported [1],[2], Mantis suffers from a null byte poisoning issue when LDAP authentication is used.  A malicious user could exploit this vulnerability to login as any registered user without knowing their password, when Mantis relies on LDAP for user authentication ("allow bind_anon_cred" is used).

This will be fixed [3] in the next version of Mantis.  All versions <= 1.2.17 are vulnerable.


[1] http://thread.gmane.org/gmane.comp.security.oss.general/13792
[2] http://www.mantisbt.org/bugs/view.php?id=17640
[3] https://github.com/mantisbt/mantisbt/commit/215968fa8

Comment 1 Vincent Danen 2014-09-12 16:48:44 UTC
Created mantis tracking bugs for this issue:

Affects: fedora-all [bug 1141313]
Affects: epel-5 [bug 1141314]

Comment 2 Murray McAllister 2014-09-15 04:01:47 UTC
MITRE assigned CVE-2014-6387 to this issue:

http://seclists.org/oss-sec/2014/q3/593

Comment 3 Fedora Update System 2014-10-12 05:01:00 UTC
mantis-1.2.17-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-10-12 05:06:17 UTC
mantis-1.2.17-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-10-12 05:06:33 UTC
mantis-1.2.17-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Praveen Kumar 2014-11-01 08:42:29 UTC
Since this package got update for Fedora, Can this is also build for epel5 branch?

Comment 7 Gianluca Sforna 2014-11-14 09:23:02 UTC
Built, but needs testing becasue a manual schema upgrade step is required.

Comment 8 Fedora Update System 2015-04-22 18:46:25 UTC
mantis-1.2.19-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Product Security DevOps Team 2019-06-08 02:34:55 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.